<?php
/**
 * The template for displaying 404 pages (Not Found).
 *
 * @package WordPress
 * @subpackage Smarty
 */
get_header(); ?>

<section id="subheader">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-md-12">
                <?php if (function_exists('smarty_breadcrumbs')) {
                    smarty_breadcrumbs();
                } ?>
                <header class="page-title">
                    <h1><?php echo get_theme_mod('not_found_page_title', 'Ooops page not found ...'); ?></h1>
                    <p class="lead">
                        <?php echo get_theme_mod('not_found_page_description', 'It seems we can&rsquo;t find what you&rsquo;re looking for. Perhaps searching, or one of the links below, can help.'); ?>
                    </p>
                </header>
            </div><!--/.col-12 col-sm-12 col-lg-12 -->
        </div><!--/.row -->
    </div>
</section>

<section id="content">
    <div class="container">
        <div class="row">

          <div class="col-xs-12 col-md-12">

            <div class="row">
                <div class="col-xs-12 col-md-4"></div>
                <div class="col-xs-12 col-md-4">
                    <div class="btn-group btn-group-justified">
                        <a href="javascript:history.go(-1)" class="btn btn-lg theme_color_emerald"><?php _e('Go back', 'okthemes'); ?></a>
                        <a href="<?php echo get_theme_mod('not_found_contact_btn_link', '#'); ?>" class="btn btn-lg theme_color_concrete"><?php _e('Contact us', 'okthemes'); ?></a>
                    </div>    
                </div>
                <div class="col-xs-12 col-md-4"></div>
            </div>  

            <?php if (get_theme_mod('not_found_page_search', 1) == 1) { ?> 
                <div class="row spacer-top spacer-bottom">
                    <div class="col-xs-12 col-md-12 pull-center">
                        <h4><?php _e('Or Search', 'okthemes'); ?></h4>
                    </div>
                </div>

                <div class="row">
                    <div class="col-xs-12 col-md-4"></div>
                    <div class="col-xs-12 col-md-4">
                        <?php get_search_form(); ?>   
                    </div>
                    <div class="col-xs-12 col-md-4"></div>
                </div>
            <?php } ?>

          </div>

        </div><!-- /.row .content -->
    </div><!--/.container -->    
</section>

<?php get_footer();
