(function ($) {
"use strict";

/* Magnific */
function gg_magnific_init() {
	if($('.image-grid, .owl-carousel.has_magnific, .wpb_image_grid.has_magnific, .wpb_single_image_has_magnific').length > 0){
		$( '.image-grid, .owl-carousel.has_magnific, .wpb_image_grid.has_magnific, .wpb_single_image_has_magnific' ).each(function(){
			$(this).magnificPopup({
				delegate: 'a.lightbox-el',
				type: 'image',
				image:{
					cursor: null
				},
				gallery: {
					tCounter: '%curr% / %total%',
					enabled: true
				},
				removalDelay: 200, //delay removal by X to allow out-animation
				closeOnContentClick: true,
				midClick: true // allow opening popup on middle mouse click. Always set it to true if you don't provide alternative source.
			});
		});
	}
}

/* OwlCarousel */
function gg_owlcarousel_init() {
	if($('.owl-carousel').length > 0){
		$( '.owl-carousel' ).each(function(){

			var $this = $(this),
			slidesPerView = $this.attr('data-slides-per-view'),
			singleItemData = $this.attr('data-single-item') == "true" ? true : false,
			transitionSlide = $this.attr('data-transition-slide'),
			navigationData = $this.attr('data-navigation-owl') == "true" ? true : false,
			paginationData = $this.attr('data-pagination-owl') == "true" ? true : false,
			autoplayData = $this.attr('data-autoplay') == "3000" ? 3000 : false,
			rewindData = $this.attr('data-rewind') == "true" ? true : false,
			speedData = $this.attr('data-speed'),
			heightData = $this.attr('data-height') == "true" ? true : false;

			$this.owlCarousel({
			    items : slidesPerView,
			    navigation : navigationData,
			    pagination : paginationData,
			    navigationText: [
			      "<i class='arrow_carrot-left'></i>",
			      "<i class='arrow_carrot-right'></i>"
			      ],
			    
			    singleItem : singleItemData,
			    transitionStyle : transitionSlide, //fade, backSlide, goDown, scaleUp
			    autoPlay : autoplayData,
			    rewindNav : rewindData,
			    slideSpeed : speedData,
			    autoHeight : heightData

		  	});

		});
	}
}


/* LoveIt */
function gg_loveit_init() {
    $('body').on('click','.gg-love-this', function() {
        var $this = $(this),
        $id = $this.attr('id');
            
        if($this.hasClass('item-loved')) return false;    

        if($this.hasClass('item-inactive')) return false;

        var $sentdata = {
            action: 'gg_loveit', 
            post_id: $id 
        }
        
        $.post(ajaxurl, $sentdata, function(data){
            $this.find('span').html(data);
            $this.addClass('item-loved');
        });
        
        $this.addClass('item-inactive');
        return false;
	});
}

/* Counter */
function gg_counter_init(){
	if($('.counter').length > 0){
		jQuery('.counter-holder').waypoint(function() {
			$('.counter').each(function() {
				if(!$(this).hasClass('initialized')){
					$(this).addClass('initialized');
					var $this = $(this),
					countToNumber = $this.attr('data-number'),
					refreshInt = $this.attr('data-interval'),
					speedInt = $this.attr('data-speed');

					$(this).countTo({
						from: 0,
						to: countToNumber,
						speed: speedInt,
						refreshInterval: refreshInt
					});
				}
			});
		}, { offset: '85%' });
	}
}

$(document).ready(function () {

    gg_magnific_init();
    gg_loveit_init();
    gg_owlcarousel_init();
    gg_counter_init();

    // search form
    if($('.header-search').length > 0){	
    	new UISearch( document.getElementById( 'header-search' ) );
	}	

    //scroll to top
    $(window).scroll(function(){
      if ($(this).scrollTop() > 100) {
        $('.scrollup').fadeIn();

        } else {
        $('.scrollup').fadeOut();

      }
    });
    $('.scrollup').click(function(){
      $("html, body").animate({ scrollTop: 0 }, 1000);
        return false;
    });

    if($('header.default .navbar .nav, header.centered-mode .navbar .nav').length > 0){
	    $('header.default .navbar .nav, header.centered-mode .navbar .nav').thmfdnMenu({
			hoverClass: 'menu-hover',
			mobileBreakpoint: 1024 //Changed on 05.02.2015 from 900
		});
	}

    if($('header.stacked .navbar .nav').length > 0){
		$('header.stacked .navbar .nav').thmfdnMenu({
			hoverClass: 'menu-hover',
			mobileBreakpoint: 810 //Changed on 05.02.2015 from 680
		});
	}

	// here for each comment reply link of wordpress
	$( '.comment-reply-link' ).addClass( 'btn btn-primary btn-xs' );
	
	// here for the submit button of the comment reply form
	$( '.more-link, #submit, input[type="button"], input[type="reset"], input[type="submit"]' ).addClass( 'btn btn-primary' );	
	
	$( 'table#wp-calendar' ).addClass( 'table table-striped');

	$( 'table' ).addClass( 'table');

	$( 'form' ).addClass( 'table');

	$('form').attr('role', 'form');

	var inputs = $('input, textarea')
            .not(':input[type=button], :input[type=submit], :input[type=reset]');

	$(inputs).each(function() {
	    $(this).addClass('form-control');
	});

	// Put padding on body based on the header height
	function headerHeight() {
		var body = $('body');
		var navbar = $('.navbar-fixed-top');
		var currentHeight = navbar.height();

		if ( $( 'header' ).hasClass( "stacked" ) ) {
			body.css("padding-top",currentHeight);
			if ($("#wpadminbar")[0]){
				navbar.css("top",32);
			}
		}
	}
	headerHeight();

	function animateHeader() {
		jQuery(window).on('scroll', function () {
	    
	    var topheader = $('.top-header');
		var topheaderHeight = -(topheader.height() + 17);	
	   
	    var bottom_wrapper = jQuery("header.stacked .main-header-inline");
	    var top_wrapper = jQuery("header.stacked .top-header");

	    if (jQuery(this).scrollTop() > 100) {
	        if (!bottom_wrapper.data('padded')) { 
	        	bottom_wrapper.data('padded', 1).stop(true).animate({paddingTop: '10px', paddingBottom: '10px'}, 400);
	        }
	    } else if (bottom_wrapper.data('padded')) {
	        bottom_wrapper.data('padded', 0).stop(true).animate({paddingTop: '30px', paddingBottom: '30px'}, 400);
	    }

	    if (jQuery(this).scrollTop() > 400) {
	        if (!top_wrapper.data('hideit')) {
	        	top_wrapper.data('hideit', 1).stop(true).animate({marginTop: topheaderHeight}, 400);
	        }
	    } else if (top_wrapper.data('hideit')) {
	        top_wrapper.data('hideit', 0).stop(true).animate({marginTop: '0px'}, 400);
	    }

		});
	}
	animateHeader();
	$(window).resize(function() {
		animateHeader();
	});

	$('#isotope-open').collapse({
	  toggle: false
	})

	if($('#isotope-filter').length > 0){
		$(window).load(function(){
			var $container = $('#isotope-filter');
				$container.isotope({
					itemSelector: '.element',
					layoutMode: 'fitRows',
					animationEngine : 'best-available',
				  	animationOptions: {
				     	duration: 200,
				     	easing: 'easeInOutQuad',
				     	queue: false
				   	}
		    });

			$(window).resize(function() {
				$container.isotope('layout');
			});

			// Portfolio Filter
		    var $optionSets = $('#options'),
		        $optionLinks = $optionSets.find('a');
		    $optionLinks.click(function () {
		        var $this = $(this);
		        if ($this.hasClass('selected')) {
					return false;
		        }
		        var $optionSet = $this.parents('.option-set');
		        $optionSet.find('.selected').removeClass('selected');
		        $this.addClass('selected');
		        var options = {},
		        key = $optionSet.attr('data-option-key'),
		            value = $this.attr('data-option-value');
		        value = value === 'false' ? false : value;
		        options[key] = value;
		        if (key === 'layoutMode' && typeof changeLayoutMode === 'function') {
		            changeLayoutMode($this, options)
		        } else {
		            $container.isotope(options);
		        }
		        return false;
		    });
		});
	}

	function dropdownInheritWidth() {
	    $('ul#main-menu > li > ul.dropdown-menu').each(function() {
		    var myClass = $(this);
		    var parentW = myClass.parent('ul#main-menu > li:first').width();
		    myClass.width(parentW+1);
		});
	}
	dropdownInheritWidth();

	$(window).resize(function() {
		dropdownInheritWidth();
	});

	

    var $scroll = 0;
    $(window).scroll(function() {
		"use strict";
		
		$scroll = $(window).scrollTop();
	});

    
    if($('.parallax-section').length){
			$('.parallax-section').each(function() {
				var $self = $(this);
				var section_height = $self.data('height');
				$self.height(section_height);
				var rate = (section_height / $(document).height()) * 0.7;
				
				var distance = $scroll - $self.offset().top + 104;
				var bpos = - (distance * rate);
				$self.css({'background-position': 'center ' + bpos  + 'px' });
				$(window).bind('scroll', function() {
					var distance = $scroll - $self.offset().top + 104;
					var bpos = - (distance * rate);
					$self.css({'background-position': 'center ' + bpos  + 'px' });
				});
			});
		return this;
	}

});        

})(jQuery);