(function ($) {
	//FeaturedIconView	
    window.SmartyVcFeaturedIconView = vc.shortcode_view.extend( {
        changeShortcodeParams:function (model) {
            window.SmartyVcFeaturedIconView.__super__.changeShortcodeParams.call(this, model);
            var params = model.get('params');
            if (_.isObject(params)) {
                this.$el.find('.wpb_element_wrapper i').remove();
                this.$el.find('.wpb_element_wrapper').prepend( '<i class="' + params.featured_icon +' ' + params.align + '"></i>' );
            }
        }
    });
    //SingleIconView  
    window.SmartyVcSingleIconView = vc.shortcode_view.extend( {
        changeShortcodeParams:function (model) {
            window.SmartyVcSingleIconView.__super__.changeShortcodeParams.call(this, model);
            var params = model.get('params');
            if (_.isObject(params)) {
                this.$el.find('.wpb_element_wrapper i').remove();
                this.$el.find('.wpb_element_wrapper').prepend( '<i class="' + params.icon +' ' + params.align + '"></i>' );
            }    
        }
    });
    //FeaturedImageView
    window.SmartyVcFeaturedImageView = vc.shortcode_view.extend( {
        changeShortcodeParams:function (model) {
            window.SmartyVcFeaturedImageView.__super__.changeShortcodeParams.call(this, model);
            var params = model.get('params');
            if (_.isObject(params)) {
                if( !_.isEmpty( params.image ) ) {
                    var element = this.$el;
                    $.ajax({
                        type: 'POST',
                        url: window.ajaxurl,
                        data:{
                            action: 'wpb_single_image_src',
                            content: params.image,
                            size: 'thumbnail'
                        },
                        dataType:'html'
                    }).done(function (url) {
                        element.find('.wpb_element_wrapper').css( {
                            'background-image': 'url(' + url + ')',
                            'background-size': 'auto 42px',
                            'background-position': 'center 10px',
                            'padding-top': '72px',
                            'text-align': 'center'
                        });
                    });
                }
            }
        }
    });
	
	//TitleSubtitleView
	window.SmartyVcTitleSubtitleView = vc.shortcode_view.extend( {
        changeShortcodeParams:function (model) {
            window.SmartyVcTitleSubtitleView.__super__.changeShortcodeParams.call(this, model);
            var params = model.get('params');
            if (_.isObject(params)) {
                this.$el.find('.wpb_element_wrapper').empty();

                var box = $('<div style="text-align: '+ params.align +'" />');
                if( !_.isEmpty( params.title ) ) {
                    var title = $('<' + params.title_type + '>' + params.title + '</' + params.title_type + '>');
                }
                if( !_.isEmpty( params.subtitle ) ) {
                    var subtitle = $('<p>' + params.subtitle + '</p>');
                }

                this.$el.find('.wpb_element_wrapper').wrap(box).prepend(title, subtitle);

            }
        }
    });

    //TestimonialView
    window.SmartyVcTestimonialView = vc.shortcode_view.extend( {
        changeShortcodeParams:function (model) {
            window.SmartyVcTestimonialView.__super__.changeShortcodeParams.call(this, model);
            var params = model.get('params');
            if (_.isObject(params)) {
                if( !_.isEmpty( params.image ) ) {
                    var element = this.$el;
                    $.ajax({
                        type: 'POST',
                        url: window.ajaxurl,
                        data:{
                            action: 'wpb_single_image_src',
                            content: params.image,
                            size: 'thumbnail'
                        },
                        dataType:'html'
                    }).done(function (url) {
                        element.find('.wpb_element_wrapper').css( {
                            'background-image': 'url(' + url + ')',
                            'background-size': '42px 42px',
                            'padding-left': '72px'
                        });
                    });
                }
            }
        }
    });

	//TeamMemberView
    window.SmartyVcTeamMemberView = vc.shortcode_view.extend( {
        changeShortcodeParams:function (model) {
            window.SmartyVcTeamMemberView.__super__.changeShortcodeParams.call(this, model);
            var params = model.get('params');
            if (_.isObject(params)) {
                if( !_.isEmpty( params.image ) ) {
                    var element = this.$el;
                    $.ajax({
                        type: 'POST',
                        url: window.ajaxurl,
                        data:{
                            action: 'wpb_single_image_src',
                            content: params.image,
                            size: 'thumbnail'
                        },
                        dataType:'html'
                    }).done(function (url) {
                        element.find('.wpb_element_wrapper').css( {
                            'background-image': 'url(' + url + ')',
                            'background-size': '42px 42px',
                            'padding-left': '72px'
                        });
                    });
                }
            }
        }
    });

    //BlockquoteView
    window.SmartyVcBlockquoteView = vc.shortcode_view.extend( {
        changeShortcodeParams:function (model) {
            window.SmartyVcBlockquoteView.__super__.changeShortcodeParams.call(this, model);
            var params = model.get('params');
            if (_.isObject(params)) {
                this.$el.find('.wpb_element_wrapper').empty();

                var box = $('<div />');

                if( !_.isEmpty( params.quote ) ) {
                    var quote = $('<blockquote>' + params.quote +' <br /> <cite>' + params.cite + '</cite></blockquote>');
                }
                
                this.$el.find('.wpb_element_wrapper').wrap(box).prepend(quote);

            }
        }
    });
})(window.jQuery);