<?php
class WPBakeryShortCode_gg_testimonial extends WPBakeryShortCode {

   public function __construct() {  
         add_shortcode('testimonial', array($this, 'gg_testimonial'));  
   }

   public function gg_testimonial( $atts, $content = null ) { 

         $output = $author_name = $author_company = $author_website = $author_quote = $image = $el_class = '';
         extract(shortcode_atts(array(
             'author_name'        => '',
             'widget_title' => '',
             'author_company'  => '',
             'author_website'  => '',
             'author_quote'  => '',
             'author_preline'  => '',
             'image' => $image,
             'el_class'     => '',
             'css_animation' => ''
         ), $atts));


         $img_id = preg_replace('/[^\d]/', '', $image);
         $img = wpb_getImageBySize(array( 'attach_id' => $img_id, 'thumb_size' => 'testimonials', 'class' => 'img-rounded'));
         if ( $img == NULL ) $img['thumbnail'] = '';

         $css_class = $this->getCSSAnimation($css_animation);
         
         $output = "\n\t".'<div class="testimonial-box '.$css_class.'">';
         $output .= "\n\t".wpb_widget_title(array('title' => $widget_title, 'extraclass' => 'wpb_testimonial_heading'));
         $output .= "\n\t\t".'<blockquote class="img-rounded">';
         $output .= "\n\t\t\t".$author_quote;
         $output .= "\n\t\t".'</blockquote> ';
         $output .= "\n\t\t".'<div class="media">';
         $output .= "\n\t\t\t".'<i class="arrow_triangle-down"></i>';
         $output .= "\n\t\t\t".$img['thumbnail'];
         $output .= "\n\t\t\t".'<div class="media-body">';
         $output .= "\n\t\t\t\t".'<h4 class="media-heading">'.$author_name.'</h4>';
         $output .= "\n\t\t\t\t".'<em>'.$author_preline.' <a href="'.$author_website.'">'.$author_company.'</a></em>';
         $output .= "\n\t\t\t".'</div>';
         $output .= "\n\t\t".'</div>';
         $output .= "\n\t".'</div> ';

         return $output;
   }
}

$WPBakeryShortCode_gg_testimonial = new WPBakeryShortCode_gg_testimonial();


vc_map( array(
   "name" => __("Testimonial with image", "okthemes"),
   "description" => __('Display a single testimonial.', 'okthemes'),
   "base" => "testimonial",
   "class" => "clear_vc_style",
   "icon" => "icon-wpb-gg_vc_testimonial",
   'admin_enqueue_css' => array(get_template_directory_uri().'/lib/visualcomposer/styles.css'),
   'admin_enqueue_js' => array(get_template_directory_uri().'/lib/visualcomposer/custom-vc.js'),
   "category" => __('OKThemes','okthemes'),
   "params" => array(
      array(
         "type" => "textfield",
         "heading" => __("Widget title", "okthemes"),
         "param_name" => "widget_title",
         "value" => '',
         "admin_label" => true,
         "description" => __("Insert widget title here", "okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Author", "okthemes"),
         "param_name" => "author_name",
         "value" => '',
         "admin_label" => true,
         "description" => __("Insert author name here", "okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Author preline", "okthemes"),
         "param_name" => "author_preline",
         "value" => 'Works at',
         "description" => __("Insert author preliminary text here. Something like: Works at", "okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Company", "okthemes"),
         "param_name" => "author_company",
         "value" => '',
         "admin_label" => true,
         "description" => __("Insert author company here", "okthemes")
      ),
      array(
         "type" => "textfield",
         "heading" => __("Author website", "okthemes"),
         "param_name" => "author_website",
         "value" => '',
         "description" => __("Insert author website URL here", "okthemes")
      ),
      array(
         "type" => "textarea",
         "heading" => __("Author quote", "okthemes"),
         "param_name" => "author_quote",
         "value" => '',
         "description" => __("Insert author content here", "okthemes")
      ),
      array(
         "type" => "attach_image",
         "heading" => __("Author image", "okthemes"),
         "param_name" => "image",
         "value" => "",
         "description" => __("Select image from media library.", "okthemes")
      ),
   ),
   'js_view'  => 'SmartyVcTestimonialView',
) );

?>