<?php
/**
 * The template for displaying posts images in the Gallery post format
 *
 * @package WordPress
 * @subpackage Smarty
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<header class="entry-header">

		<?php

		//Load carousel
		wp_enqueue_script('owlcarousel');
		wp_enqueue_script('magnific');

		$args = array(
			'numberposts' => -1, // Using -1 loads all posts
			'orderby' => 'menu_order', // This ensures images are in the order set in the page media manager
			'order'=> 'ASC',
			'post_mime_type' => 'image', // Make sure it doesn't pull other resources, like videos
			'post_parent' => $post->ID, // Important part - ensures the associated images are loaded
			'post_status' => null,
			'post_type' => 'attachment'
		);

		$images = get_children( $args );
		?>

		<?php if($images){ ?>

		<div id="post-format-gallery-owl" 
            class="owl-carousel"
            data-slides-per-view = "1"
            data-single-item = "true"
            data-transition-slide = "fade"
            data-navigation-owl = "false"
            data-pagination-owl = "true"
            data-autoplay = "false"
            data-rewind = "true"
            data-speed = "5000",
            data-height = "true"
            >

			<?php foreach($images as $image){ ?>
			
			<div class="post-image">			
				<img class="img-rounded" src="<?php echo $image->guid; ?>" alt="<?php echo $image->post_title; ?>" title="<?php echo $image->post_title; ?>" />
			</div>

			<?php } ?>
		</div>

	  	<?php } ?>

	  	<?php if ( is_single() ) : ?>

		<?php else : ?>
		<span class="post-format gallery pull-left img-rounded hidden-xs"><i class="icon_images"></i></span>
		<div class="article-header-body">
			<h2 class="entry-title">
				<a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'okthemes' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a>
			</h2>
			<p class="meta"><?php echo smarty_posted_on();?></p>
		</div>
		<?php endif; // is_single() ?>
	</header><!-- .entry-header -->

	<footer class="entry-meta">
		<?php edit_post_link( __( 'Edit', 'okthemes' ), '<span class="edit-link">', '</span>' ); ?>
		<?php if ( is_single() ) : ?>
			<?php echo smarty_posted_in();?>
		<?php endif; // is_single() ?>
	</footer><!-- .entry-meta -->
</article><!-- #post -->


