<?php
/**
 * The template for displaying Archive Portfolios pages.
 *
 * @package WordPress
 * @subpackage Smarty
 */
get_header(); ?>

<?php

//Load magnific 
wp_enqueue_script('magnific');
wp_enqueue_style('magnific');

$archive_portfolio_inner_layout = get_theme_mod('archive_portfolio_page_style','right');
switch ($archive_portfolio_inner_layout) {
    case "left":
        $archive_portfolio_content_class = 'col-xs-12 col-md-9 pull-right';
        $archive_portfolio_sidebar_class = 'col-xs-12 col-md-3 pull-left';
        break;
    case "right":
        $archive_portfolio_content_class = 'col-xs-12 col-md-9 pull-left';
        $archive_portfolio_sidebar_class = 'col-xs-12 col-md-3 pull-right';
        break;
    case "fullwidth":
        $archive_portfolio_content_class = 'col-xs-12 col-md-12';
        $archive_portfolio_sidebar_class = 'col-xs-12 col-md-12';
        break;        
}
$archive_portfolio_page_columns = get_theme_mod('archive_portfolio_page_columns','four_columns');
switch ($archive_portfolio_page_columns) {
    case "four_columns":
        $archive_portfolio_col_class = 'col-xs-6 col-sm-6 col-md-3';
        break;
    case "three_columns":
        $archive_portfolio_col_class = 'col-xs-12 col-sm-6 col-md-4';
        break;
    case "two_columns":
        $archive_portfolio_col_class = 'col-xs-12 col-md-6';
        break;        
    case "one_column":
        $archive_portfolio_col_class = 'col-xs-12 col-md-12';
        break;    
}
?>

    <?php if (have_posts()) :
    // Queue the first post.
    the_post(); ?>

    <section id="subheader">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-md-12">
                    <?php if (function_exists('smarty_breadcrumbs')) {
                        smarty_breadcrumbs();
                    } ?>
                    <header class="page-title">
                        <h1><?php echo single_cat_title('',false);

                            // Show an optional category description
                            $category_description = category_description();
                            if ($category_description) {
                                echo apply_filters(
                                    'category_archive_meta',
                                    '<div class="category-archive-meta">' . $category_description . '</div>'
                                );
                            }
                            ?></h1>
                    </header>
                </div><!--/.col-12 col-sm-12 col-lg-12 -->
            </div><!--/.row -->
        </div>
    </section>

    <section id="content">
        <div class="container">
            <div class="row">
                <div class="<?php echo $archive_portfolio_content_class; ?>">
                    <?php
                    // Rewind the loop back
                        rewind_posts();
                    ?>

                    <ul class="image-grid row">

                    <?php while (have_posts()) : the_post(); ?>
                        <li class="<?php echo $archive_portfolio_col_class; ?>" >
                            <?php get_template_part( 'parts/part','portfolio' ); ?>
                        </li><!-- // portfolio item column -->
                    <?php endwhile; ?>

                    </ul>

                    <?php if (function_exists("pagination")) {
                        pagination($wp_query->max_num_pages);
                    } ?>

                    <?php endif; ?>
                </div>
        
                <?php if ($archive_portfolio_inner_layout !== 'fullwidth') { ?>
                <div class="<?php echo $archive_portfolio_sidebar_class; ?>">
                    <aside class="sidebar-nav">
                        <?php get_sidebar(); ?>
                    </aside>
                    <!--/aside .sidebar-nav -->
                </div>
                <?php } ?>
            </div><!-- /.row -->
        </div><!-- /.container -->
    </section><!-- /#content -->
<?php get_footer(); ?>