<?php
/**
 * Template Name: Default Page
 * Description: Page template with a content container and right sidebar.
 *
 * @package WordPress
 * @subpackage Smarty
 */
get_header(); ?>

<?php

if ( is_singular( 'product' ) ) {
    $page_layout = get_theme_mod('product_page_layout', 'no_sidebar');
} else {
    global $shop_page_id;
    $shop_page_id = woocommerce_get_page_id( 'shop' );
    $page_layout = rwmb_meta('gg_page_layout_select', '' ,$shop_page_id);
}

$page_content_class = 'col-xs-12 col-md-9';
$page_sidebar_class = 'col-xs-12 col-md-3';
$page_heading_position_align = 'text-align-left';

switch ($page_layout) {
    case "with_right_sidebar":
        $page_content_class = 'col-xs-12 col-md-9 pull-left';
        $page_sidebar_class = 'col-xs-12 col-md-3 pull-right';
        break;
    case "with_left_sidebar":
        $page_content_class = 'col-xs-12 col-md-9 pull-right';
        $page_sidebar_class = 'col-xs-12 col-md-3 pull-left';
        break;
    case "no_sidebar":
        $page_content_class = 'col-xs-12 col-md-12';
        break;        
    case "fullscreen":
        $page_content_class = '';
        break;    
}

?>

<?php smarty_page_header(); ?>

<?php smarty_page_header_slider(); ?>

<?php if ( is_singular( 'product' ) ) { ?>
<section id="subheader">
    <div class="container">
        <div class="row">
            <div class="col-12 col-sm-12 col-lg-12">
                <?php if (function_exists('smarty_breadcrumbs')) {
                    smarty_breadcrumbs();
                } ?>
            </div><!--/.col-12 col-sm-12 col-lg-12 -->
        </div><!--/.row -->
    </div>
</section>
<?php } ?>

<section id="content" <?php echo $page_layout == 'fullscreen' ? 'class="page-fullscreen"' : '' ;?>>
    <?php echo $page_layout == 'fullscreen' ? '' : '<div class="container"><div class="row">' ;?>


        <div class="<?php echo $page_content_class; ?>">
            <?php woocommerce_content(); ?>
        </div><!-- /.col-8 col-sm-8 col-lg-8 -->

        <?php if (($page_layout !== 'no_sidebar') && ($page_layout !== 'fullscreen')) { ?>
        <div class="<?php echo $page_sidebar_class; ?>">
            <aside class="sidebar-nav">
                <?php get_sidebar(); ?>
            </aside>
            <!--/aside .sidebar-nav -->
        </div><!-- /.col-4 col-sm-4 col-lg-4 -->
        <?php } ?>

    <?php echo $page_layout == 'fullscreen' ? '' : '</div></div>' ;?>
</section>

<?php smarty_page_footer_message_box(); ?>

<?php get_footer(); ?>